package com.zjrs.zwnw.zj.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.zj.dto.QsDTO;
import com.zjrs.zwnw.zj.dto.QsPageDTO;
import com.zjrs.zwnw.zj.dto.QsbsDTO;
import com.zjrs.zwnw.zj.po.QsbsPO;

import jakarta.servlet.http.HttpServletResponse;


public interface QsbsBLO {
    //导出事项结果表
    public void export(QsDTO dto, HttpServletResponse res);
    //删除
    public void del(String nd);
    //查询信息
    public QsbsPO getInfo(String nd);
    //保存
    public void saveOrUpd(QsbsPO dto);
    //高层次人才信息查询列表
    public PageResult getList(QsPageDTO dto, int page, int rows);
    //查询上一年度累计总量
    public QsbsDTO getTjData(String year);
    //最大年份
    public String getMaxYear();
}
